#{extends 'border.html'/}
<div class="container">
#{form @cms.BeritaCtr.editSubmit(), method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{cms.BeritaCtr.index()}">&{'berita.label'}</a></li>
                <li class="active">&{'ubah.label'} &{'berita.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@cms.BeritaCtr.index()/}
            	#{saveButton/}
            </div>
            <!-- End Toolbar -->
            #{alert /}
            <div id="alert-message"></div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'status.label'}</label>
                        <div class="col-md-2">
                            <select name="status" class="form-control select2">
                                <option value="published" ${viewberita?.status == "published" ? "selected" : ""}>&{'published.label'}</option>
                                <option value="draft" ${viewberita?.status == "draft" ? "selected" : ""}>&{'draft.label'}</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'judul.label'}</label>
                        <div class="col-md-8">
                            <input type="text" name="judul_konten" value="${viewberita?.judul_konten}" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'kategori.label'}</label>
                        <div class="col-md-2">
                            <select name="kategori" class="form-control select2" required>
                                <option value="">&{'pilih.label'}</option>#{list
                            KategoriKontenList, as:'k'}
                                <option value="${k.id}" ${viewberita?.default_konten_kategori_id == k.id ? 'selected' : ''}>${k.nama_kategori}</option> #{/list}
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'tanggal_berita.label'}</label>
                        <div class="col-md-3">
                            <input class="form-control" id="date_time_picker1" name="tanggal_konten" value="${tanggal_berita}" required/>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'tanggal_mulai_publikasi.label'}</label>
                        <div class="col-md-3">
                            <input class="form-control" id="date_time_picker2" name="publish_date_from" value="${date_from}" required/>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'tanggal_akhir_publikasi.label'}</label>
                        <div class="col-md-3">
                            <input class="form-control" id="date_time_picker3" name="publish_date_to" value="${date_to}"/>
                        </div>
                    </div>
                    *{<div class="form-group">}*
                        *{<label class="col-md-3 control-label">&{'foto.label'}</label>}*
                        *{<div class="col-md-8">}*
                            *{<input type='file' id="imgInp" name="gambar" accept="image/jpg,image/png,image/jpeg,image/gif"/>}*
                        *{</div>}*
                    *{</div>}*
                    *{<div class="form-group" id="image-place">}*
                        *{<label class="col-md-3 control-label"></label>}*
                        *{<div class="col-md-8">}*
                            *{#{if viewberita.param != null}}*
                                *{<img id="blah" src=@{'/public/files/image/berita'}${"/"+viewberita.param} float="left" width="200px" position="relative" padding="5px"/>}*
                            *{#{/if} #{else}}*
                                *{<img id="blah" src='' float="left" width="200px" position="relative" padding="5px"/>}*
                            *{#{/else}}*
                        *{</div>}*
                    *{</div>}*

                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'foto.label'}</label>
                        <div class="col-md-3">
                            <input type='file' name="gambar" id="gambar" accept=".png,.jpg,.jpeg" class="form-control"/>
                        </div><br><br>
                        <div class="col-md-4 col-lg-offset-3">
                            <div class="error-image" style="display: none;"><span style="color: red;">&{'file_ukuran_lebih_dari.label'} 5 MB !</span><br></div>
                            <div class="error-image-extention" style="display: none;"><span style="color: red;">&{'format_file_salah.label'} !</span><br></div>
                            <span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.png|.jpg|.jpeg</span>)
                            <br>
                            <span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 5 MB </span>)
                        </div>
                    </div>
                    #{if viewberita?.blb_id_content != null}
                        <div class="form-group">
                            <label class="col-md-3 control-label"></label>
                            <div class="col-md-8">
                                <ul id="files" class="row list-group files">
                                    <li class="list-group-item col-md-4" style="margin-right: 1em; margin-bottom: 1em;">
                                        <div class="col-md-10">
                                            <img src="${viewberita?.getFileUrl()}" float="left" width="100px" position="relative" padding="5px"/>
                                        </div>
                                        <div class="col-md-2">
                                            <a class="removeDok pull-right" versi="0" fileid="${viewberita?.blb_id_content}" href="javascript:void(0)">
                                                <i class="fa fa-trash-o"></i>
                                            </a>
                                        </div>
                                        <div class="clearfix"></div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    #{/if}

                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'konten.label'}</label>
                        <div class="col-md-8">
                            <textarea rows="10" name="isi_konten" id="isi_konten" class="form-control">${viewberita?.isi_konten}</textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'tag.label'}</label>
                        <div class="col-md-3">
                            <input id="tags_1" type="text" class="tags" name="tags" value="${tags}"/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <input id="input_id" name="id" value="${viewberita?.id}" type="hidden" />
        <input id="file_id" value="${viewberita?.blb_id_content}" type="hidden" />
    </div>
#{/form}
</div>

#{validationPackage/}

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}
<script type="text/javascript">
    $(document).ready(function() {
        tinymce.init({
            selector : '#isi_konten',
            menubar : true,
            images_upload_base_path : "@{'/public/files/image'}",
            plugins : 'advlist autolink link image lists charmap print preview code',
            a_plugin_option: true,
            a_configuration_option: 400,
            images_upload_handler: function (blobInfo, success, failure) {
                var xhr, formData;
                xhr = new XMLHttpRequest();
                xhr.withCredentials = false;
                xhr.open('POST', '@{MediaManager.upload()}');

                xhr.onload = function() {
                    var json;

                    if (xhr.status != 200) {
                        failure('HTTP Error: ' + xhr.status);
                        return;
                    }

                    json = JSON.parse(xhr.responseText);

                    if (!json || typeof json.location != 'string') {
                        failure('Invalid JSON: ' + xhr.responseText);
                        return;
                    }

                    success(json.location);
                };

                formData = new FormData();
                formData.append('file', blobInfo.blob(), blobInfo.filename());

                xhr.send(formData);
            },
            image_caption: true,
            image_list: "@{MediaManager.listImageGallery()}"
        });

        $("#date_time_picker1").datetimepicker({
            locale: 'id',
            format: 'DD-MM-YYYY HH:mm'

        });

        $("#date_time_picker2").datetimepicker({
            locale: 'id',
            format: 'DD-MM-YYYY HH:mm'

        });

        $("#date_time_picker3").datetimepicker({
            locale: 'id',
            format: 'DD-MM-YYYY HH:mm'

        });

        $('.form-horizontal').validate({
            highlight: function (element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $('#tags_1').tagsInput({width: 'auto'});

        // function readURL(input) {
        //     if (input.files && input.files[0]) {
        //         var reader = new FileReader();
        //
        //         reader.onload = function (e) {
        //             $('#image-place').show();
        //             $('#blah').attr('src', e.target.result);
        //         }
        //
        //         reader.readAsDataURL(input.files[0]);
        //     }
        // }
        //
        // $("#imgInp").change(function () {
        //     readURL(this);
        // });

        var fileId = $('#file_id').val();
        var beritaId = $('#input_id').val();

        if(fileId){
            $('#gambar').prop('disabled',true);
        }

        $("body").on("click",".removeDok",function(){
            var btId = $(this).attr("fileid");
            $.ajax({
                url: '@{cms.BeritaCtr.removePhoto()}',
                data: {"beritaId":beritaId,
                    "btId": fileId},
                type: 'GET',
                success: function () {
                    $('#alert-message').attr('class', 'alert alert-success').html("Berhasil menghapus file.");
                    $(".files").remove();
                    $('#gambar').prop('disabled',false);
                },
                error: function () {
                    $('#alert-message').attr('class', 'alert alert-danger').html("Gagal menghapus file.");
                }
            });
        });
    });
</script>

<script>
    jQuery('.save').submit(function(){
        var isiKonten  = tinymce.get('isi_konten').getContent();
        var isiKontenE = htmlEscape(isiKonten);//ini fungsi encode
        tinymce.get('isi_konten').setContent(isiKontenE);
    });
</script>
<script type="text/javascript">
    $('#gambar').bind('change', function() {
        var countError = 0;
        $('.error-image').fadeOut(500);
        $('.error-image-extention').fadeOut(500);

        var fileSize = document.getElementById("gambar").files[0];
        var sizeInMb = (fileSize.size/1024)/1024;
        var sizeLimit= 5;
        if (sizeInMb > sizeLimit) {
            countError = 1;
            $('.error-image').fadeIn(500);
            $('.error-image-extention').fadeOut();
        }

        var filename = $("#gambar").val();
        var extension = filename.replace(/^.*\./, '');
        if (extension == filename) {
            extension = '';
        } else {
            extension = extension.toLowerCase();
        }
        switch (extension) {
            case 'png':
            case 'jpg':
            case 'jpeg':
                break;

            default:
                countError = 1;
                $('.error-image').fadeOut(500);
                $('.error-image-extention').fadeIn(500);
        }

        if (countError){
            $('#gambar').val('');
        }
    });
</script>
#{/set}